#include <bits/stdc++.h>

using namespace std;

int main()
{
    long n, m;
    cin >> n >> m;
    long d[n];
    long u[n];
    for(int i = 0; i<n; i++)
    { 
        cin >> d[i] >> u[i];
    }
    long sol[m];
    for(int i = 0; i<m; i++)
    {
        long l, r, x;
        cin >> l >> r >> x;
       long k =0;
        for(int j = l-1; j< r;j++)
        {
            if(d[j] <= x && u[j] >= x)
            k++;
        }
        sol[i] = k;
    }
    for(long i = 0; i<m;i++)
    {
        cout << sol[i] << endl;
    }
    return 0;
}